<!DOCTYPE html>
<html xmlns:concordion="http://www.concordion.org/2007/concordion">
<head>
<meta charset="UTF-8" />
<title>Vérification des droits admin</title>
</head>
<body
	style="p: before .success, li:before .success{ 
	background-image: 
		url(http://images4.wikia.nocookie.net/__cb20101013160837/sims/fr/images/d/dd/Ic%C3%B4ne_Valid.png); content: '&gt;'">

	<h3>On ajoute des droits sur les données expérimentales pour
		l'utilisateur testeurAuto.</h3>
	<table
		concordion:execute="#areRightsSet=addPrivilege(#utilisateur, #role, #privilegeType, #privilegePath, #dateDeDebut, #dateDeFin)">
		<tr>
			<th concordion:set="#role">Role</th>
			<th concordion:set="#privilegeType">Type de privilège</th>
			<th concordion:set="#privilegePath">Path</th>
			<th concordion:set="#dateDeDebut">Date de début</th>
			<th concordion:set="#dateDeFin">Date de fin</th>
			<th concordion:assertTrue="#areRightsSet">Droit mis</th>
		</tr>
		
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac3/compartiments_biologiques/zooplancton</td>
			<td></td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac3/compartiments_biologiques/zooplancton</td>
			<td>13/01/2011</td>
			<td>13/01/2011</td>
			<td>true</td>
		</tr>
	</table>

	<h3>on teste les droits pour l'utilisateur testeurAuto</h3>
	<table
		concordion:execute="#hasPrivilege=hasPrivilege(#utilisateur, #role, #privilegeType, #privilegePath, #date)">
		<tr>
			<th concordion:set="#role">Role</th>
			<th concordion:set="#privilegeType">Type de privilège</th>
			<th concordion:set="#privilegePath">Path</th>
			<th concordion:set="#date">Date de début</th>
			<th concordion:assertEquals="#hasPrivilege">A les droits</th>
		</tr>
		<tr>
			<td>depot</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac3/compartiments_biologiques/zooplancton</td>
			<td></td>
			<td>true</td>
		</tr>
		<tr>
			<td>extraction</td>
			<td>dataset</td>
			<td>suivi_des_lacs/lac3/compartiments_biologiques/zooplancton</td>
			<td>13/01/2011</td>
			<td>true</td>
		</tr>
	</table>

</body>
</html>